<template>
  <div class="wrapper">
    <div class="header">
      <div
        :style="`background-image: url(${require('@/assets/img/arrow-back.svg')})`"
        @click="$emit('back')"
        style="
          position: absolute;
          left: 12px;
          top: 45px;
          overflow: hidden;
          cursor: pointer;
          text-align: center;
          box-sizing: border-box;
          padding: 20px;
          background-repeat: no-repeat;
          background-position: center;
        "
      >
      </div>
      Выберите магазин</div>

    <div v-for="(shop) in shops" :key="shop.id" @click="SET_SELECTED_SHOP({ shop })" class="shop-element">
      <span class="no-pointer-events">{{ shop.name }}</span>
      <!-- <span class="no-pointer-events">{{ shop.address }}</span> -->
      <span class="no-pointer-events" style="position: absolute; right: 55px;">±15 мин</span>

      <div
        :style="`background-image: url( ${require(`@/assets/img/access_time.svg`)} )`"
        style="
          position: absolute;
          width: 19px;
          height: 19px;
          right: 25px;
          top: calc(50% - 10px);
          background-size: contain;
        "
      ></div>

    </div>
    
  </div>
</template>

<script>
import {mapGetters, mapMutations} from 'vuex';
export default {
  props: {
    
  },
  methods: {
    ...mapMutations(['SET_SELECTED_SHOP']),
  },
  computed: {
    ...mapGetters(['shops']),

  }
};
</script>

<style scoped>
  .wrapper {
    overflow-y: scroll;
    background-color: white;
    position: absolute; 
    z-index: 2; 
    text-align: left; 
    background-color: white; 
    left: 0px; 
    right: 0px; 
    bottom: 0; 
    top: 0;
  }

  .header {
    text-align: center; 
    padding: 57px 10px 25px 10px;
    background-color: #f5f5f5;
  }

  .shop-element {
    position: relative;
    padding: 20px;
    text-align: left;
    border-bottom: 1px solid #fcf2f2;
  }

  .no-pointer-events {
    pointer-events: none;
  }
</style>